# create\_run

<pre class="language-python"><code class="lang-python">dbnl.create_run(
    *,
    project: <a data-footnote-ref href="#user-content-fn-1">Project</a>,
    run_config: <a data-footnote-ref href="#user-content-fn-2">RunConfig</a>,
    display_name: Optional[str] = None,
    metadata: Optional[Dict[str, str]] = None,
) -> <a data-footnote-ref href="#user-content-fn-3">Run</a>:
</code></pre>

## Parameters

<table><thead><tr><th width="233">Arguments</th><th>Description</th></tr></thead><tbody><tr><td><code>project</code></td><td>The dbnl <a href="../../sdk-objects/project">Project</a> that this Run will be associated with.</td></tr><tr><td><code>run_config</code></td><td>The dbnl <a href="../../sdk-objects/runconfig">RunConfig</a> that this Run will be associated with. Two Runs with the same RunConfig can be compared in the web UI and associated in Tests. The associated RunConfig must be from the same Project.</td></tr><tr><td><code>display_name</code></td><td>An optional display name for the Run. Display names do not have to be unique.</td></tr><tr><td><code>metadata</code></td><td>Any additional key-value pairs information the user wants to track.</td></tr></tbody></table>

## Returns

<table><thead><tr><th width="190">Type</th><th>Description</th></tr></thead><tbody><tr><td><a href="../../sdk-objects/run">Run</a></td><td>A new dbnl <a href="../../sdk-objects/run">Run</a> for <a href="../run-results/report_results-2">reporting results</a>.</td></tr></tbody></table>

## Examples

```python
import dbnl
dbnl.login()


proj1 = dbnl.get_or_create_project(name="test_p1")
runcfg1 = dbnl.create_run_config(project=proj1, columns=[{"name": "error", "type": "float"}])

run1 = dbnl.create_run(
    project=proj1, 
    run_config=runcfg1, 
    metadata={"mode": "dev"},
)
```

[^1]: [Project](https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-objects/project)

[^2]: [RunConfig](https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-objects/runconfig)

[^3]: [Run](https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-objects/run)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-functions/run/create_run.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
